# Get a library block

> Returns one saved block with its whole subtree (`snapshot`: type, data, layout, children, with no ids): the content that inserting it into a trip copies.

`GET /v1/library/entries/{entryId}`

Returns one saved block with its whole subtree (`snapshot`: type, data, layout, children, with no ids): the content that inserting it into a trip copies.

**Permissions:** `catalog:read` · **Kind:** read · **Cost:** 1 unit · MCP tool [`get_library_entry`](https://api.bymundi.com/docs/mcp/tools/get_library_entry.md)



## Path parameters

| Field | Type | Required | Description |
|---|---|---|---|
| `entryId` | uuid | yes |  |

## Query parameters

_None._

## Response `200`

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | "library_entry" | yes |  |
| `id` | uuid | yes |  |
| `title` | string | yes |  |
| `rootType` | string | yes |  |
| `tags` | string[] | yes |  |
| `updatedAt` | string | yes |  |
| `snapshot` | object | yes |  |

## Errors

Errors are [problem details](https://api.bymundi.com/docs/guides/errors.md). Besides the refusals described above, any call like this one can return:

- [`invalid_request`](https://api.bymundi.com/problems/invalid_request.md) — Invalid request
- [`unauthorized`](https://api.bymundi.com/problems/unauthorized.md) — Missing or invalid API key
- [`insufficient_scope`](https://api.bymundi.com/problems/insufficient_scope.md) — Missing permission
- [`rate_limited`](https://api.bymundi.com/problems/rate_limited.md) — Rate limit reached
- [`not_found`](https://api.bymundi.com/problems/not_found.md) — Not found

## Examples

#### curl

```bash
curl https://api.bymundi.com/v1/library/entries/$ENTRY_ID \
  -H "Authorization: Bearer $BYMUNDI_KEY"
```

#### JavaScript

```javascript
const res = await fetch(`https://api.bymundi.com/v1/library/entries/${entryId}`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.BYMUNDI_KEY}`,
  },
});
if (!res.ok) throw new Error((await res.json()).detail);
const data = await res.json();
```

#### Python

```python
import os, uuid, requests

res = requests.get(
    f"https://api.bymundi.com/v1/library/entries/{entryId}",
    headers={"Authorization": f"Bearer {os.environ['BYMUNDI_KEY']}"},
)
res.raise_for_status()
data = res.json()
```
